Skip to main content
GET
/
transactions
/
{transaction_guid}
Read transaction
curl --request GET \
  --url https://int-data.moneydesktop.com/transactions/{transaction_guid} \
  --header 'MD-SESSION-TOKEN: <api-key>'
import requests

url = "https://int-data.moneydesktop.com/transactions/{transaction_guid}"

headers = {"MD-SESSION-TOKEN": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'MD-SESSION-TOKEN': '<api-key>'}};

fetch('https://int-data.moneydesktop.com/transactions/{transaction_guid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "transaction": {
    "account_guid": "ACT-8e6f92c8-1491-42ce-8bf6-c309e9531530",
    "amount": 33.88,
    "amount_set_by": 1,
    "amount_set_by_name": "FEED",
    "category_guid": "CAT-97a2b899-5a32-4196-b87c-a8e65d8a9849",
    "category_name": "Office Supplies",
    "category_set_by": 3,
    "category_set_by_name": "SYSTEM",
    "check_number": null,
    "check_number_set_by": null,
    "check_number_set_by_name": null,
    "check_number_string": null,
    "created_at": "2022-06-14T21:17:10+00:00",
    "currency_code": "USD",
    "currency_code_set_by": 1,
    "currency_code_set_by_name": "FEED",
    "date": "2022-06-14",
    "date_set_by": 1,
    "date_set_by_name": "FEED",
    "description": "Office Depot",
    "description_set_by": 3,
    "description_set_by_name": "SYSTEM",
    "extended_transaction_type": "",
    "external_guid": "transfer-0bc9936d-6761-4aed-af7f-a94e7a0f7e7e",
    "feed_amount": 33.88,
    "feed_check_number": null,
    "feed_check_number_string": null,
    "feed_currency_code": "USD",
    "feed_description": "Office Depot",
    "feed_is_international": null,
    "feed_latitude": null,
    "feed_longitude": null,
    "feed_memo": null,
    "feed_posted_at": "2022-06-15T12:00:00+00:00",
    "feed_posted_on": "2022-06-15",
    "feed_status": 1,
    "feed_transacted_at": "2022-06-14T12:00:00+00:00",
    "feed_transacted_on": "2022-06-14",
    "feed_transaction_type": 2,
    "feed_transaction_type_name": "DEBIT",
    "guid": "TRN-24af807c-66b5-416c-a84e-d18f1003809e",
    "has_been_split": false,
    "has_been_viewed": false,
    "is_bill_pay": false,
    "is_business": false,
    "is_direct_deposit": false,
    "is_expense": true,
    "is_fee": false,
    "is_flagged": false,
    "is_hidden": false,
    "is_income": false,
    "is_international": null,
    "is_international_set_by": null,
    "is_international_set_by_name": null,
    "is_overdraft_fee": false,
    "is_payroll_advance": false,
    "is_recurring": null,
    "is_subscription": false,
    "latitude": null,
    "latitude_set_by": null,
    "latitude_set_by_name": null,
    "localized_description": null,
    "localized_memo": null,
    "longitude": null,
    "longitude_set_by": null,
    "longitude_set_by_name": null,
    "member_is_managed_by_user": true,
    "memo": null,
    "memo_set_by": null,
    "memo_set_by_name": null,
    "merchant_category_code": 0,
    "merchant_guid": "MCH-8f595f23-43fb-2c82-429e-56313bb6dada",
    "merchant_location_guid": null,
    "metadata": "some hard coded transaction metadata",
    "parent_guid": null,
    "posted_at": "2022-06-15T12:00:00+00:00",
    "posted_at_set_by": 1,
    "posted_at_set_by_name": "FEED",
    "revision": 1,
    "scheduled_payment_guid": null,
    "status": 1,
    "status_name": "POSTED",
    "status_set_by": 1,
    "status_set_by_name": "FEED",
    "top_level_category_guid": "CAT-94b11142-e97b-941a-f67f-6e18d246a23f",
    "transacted_at": "2022-06-14T12:00:00+00:00",
    "transacted_at_set_by": 1,
    "transacted_at_set_by_name": "FEED",
    "transaction_type": 2,
    "transaction_type_name": "DEBIT",
    "transaction_type_set_by": 1,
    "transaction_type_set_by_name": "FEED",
    "updated_at": "2022-06-14T21:17:10+00:00",
    "user_guid": "USR-11141024-90b3-1bce-cac9-c06ced52ab4c"
  }
}
Use this endpoint to read the attributes of a specific transaction according to its unique GUID.

Authorizations

MD-SESSION-TOKEN
string
header
required

MX Session Token

  • Request an API token using the read API token endpoint in the MX SSO API.
  • Exchange an API token for a session token.
    • A session token is obtained by sending a POST request to /sessions
    • The session token will be used in each request made for the user. It should be passed in an MD-SESSION-TOKEN HTTP header as shown below.
    • This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
    • If you send a request with an expired session token you'll receive an error code of 4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'

In documentation code examples, replace <API_KEY_VALUE> with the session token.

Path Parameters

transaction_guid
string
required

The guid or external_guid for the transaction.

Response

200 - application/vnd.mx.api.v1+json

OK

transaction
object